%global tag e897513a1535a9e80477e5a4a749fc2f32e1f345
%global rel 3

Name:           feclipse-maven-plugin
Version:        0.0.5
Release:        %mkrel %rel.gite89751
Summary:        Eclipse repo2runnable Maven Mojo

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org
Source0:        https://git.fedorahosted.org/cgit/feclipse-maven-plugin.git/snapshot/feclipse-maven-plugin-%{tag}.tar.xz
BuildArch:      noarch

BuildRequires: mvn(org.eclipse.tycho:tycho-p2-facade) >= 0.21.0
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin)
BuildRequires: maven-local
Requires: mvn(org.eclipse.tycho:tycho-p2-facade)
Requires: mvn(org.apache.maven:maven-plugin-api)
Requires: mvn(junit:junit)
Requires: mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin) >= 0.21.0
Requires: eclipse-platform

%description
A Maven plugin that transform Eclipse P2 repository into a runnable form,
so the repository can be put into dropins folder.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n feclipse-maven-plugin-%{tag}

%build
cd installer
%mvn_build

%install
cd installer
%mvn_install


%files -f installer/.mfiles
%dir %{_javadir}/%{name}

%files javadoc -f installer/.mfiles-javadoc




%changelog
* Thu Jan 01 2015 pterjan <pterjan> 0.0.5-3.gite89751.mga5
+ Revision: 807935
- Clean rebuild
- Sync with Fedora 21 (update to 0.05)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 0.0.3-0.3.gitfb5939.3.mga4
+ Revision: 558739
- Fix BuildRequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Sep 25 2013 dmorgan <dmorgan> 0.0.3-0.3.gitfb5939.1.mga4
+ Revision: 486265
- imported package feclipse-maven-plugin


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-0.3.gitfb5939
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.3-0.2.gitfb5939
- Remote content.jar and artifacts.jar after the build.

* Tue Jul 16 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.3-0.1.git85c3ca
- Update to latest snapshot.

* Thu May 9 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.2-1
- Update to latest upstream.

* Thu May 2 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.1-2
- Properly upload sources.

* Wed May 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.1-1
- Initial import (RHBZ 958431)
